Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 345433

Summary: Removal of Java support on ia64
Product: Gentoo Linux Reporter: Petteri Räty (RETIRED) <betelgeuse>
Component: [OLD] JavaAssignee: Java team <java>
Status: RESOLVED FIXED    
Severity: normal CC: devurandom, ia64
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 228929, 292286    
Bug Blocks:    

Description Petteri Räty (RETIRED) gentoo-dev 2010-11-14 19:27:55 UTC
19:16 <@armin76> Betelgeuse: yeah, as i said on the bug, i'd prefer if you do that
19:17 <@armin76> Betelgeuse: i really don't have the time to go through java stuff, it would be nice if someone helps me instead
19:17 <@Betelgeuse> armin76: which bug?
19:17 <@Betelgeuse> armin76: I only remember talking with alpha / arm
19:17 <@armin76> bug 292286
19:17 <+willikins> armin76: https://bugs.gentoo.org/292286 "Please stabilize/keyword dev-java/jaxme-0.5.2"; Gentoo Linux, Java; NEW; caster@g.o:java@g.o
19:18 <@armin76> and bug 228929
19:18 <+willikins> armin76: https://bugs.gentoo.org/228929 "dev-java/jrockit-jdk-bin-1.5.0.14 fails to fetch"; Gentoo Linux, Java; NEW; matti.nykyri@iki.fi:java@g.o
19:18 <@Betelgeuse> armin76: Do you know if you have users?
19:19 <@armin76> nope
19:19 <@armin76> doubt it
19:20 <@Betelgeuse> armin76: How about we draft a news item and if no-one complains do it?
19:21 <@Betelgeuse> shown to: ia64 && java-config installed
19:24 <@armin76> Betelgeuse: your choice
19:25 <@Betelgeuse> Ok I'll draft one and send to gentoo-dev
Comment 1 Vlastimil Babka (Caster) (RETIRED) gentoo-dev 2011-02-19 19:41:09 UTC
News item finally committed, removal scheduled for second half of March.
Comment 2 SpanKY gentoo-dev 2011-03-01 05:59:49 UTC
for people who want to see java stay on itanium, we'll need updated jdk/jre packages.  the problem is simple: the only jdk/jre we ever had for itanium was the dev-java/jrockit-jdk-bin package.  but that is stuck at 1.5.x while everyone else has moved on to 1.6.x.

from what i can tell, the guys who made jrockit (BAE) got bought up by Sun (now Oracle), and their product is no longer produced for the Itanium.

further, the main package (sun-jdk) has never had an Itanium port.

so without these things, we simply cannot do java on ia64.  if someone wants to dive in and figure out an updated solution, we'll certainly revisit the issue.
Comment 3 Dennis Schridde 2011-03-01 16:32:02 UTC
dev-java/icedtea[zero] works (partly) on ia64. I had 6.1.9.4 or some similarly "old" version running without problems, but current .7 crashes a lot. I have created bugreports at the icedtea bugtracker (search for me as reporter).
Comment 4 Raúl Porcel (RETIRED) gentoo-dev 2011-12-04 15:26:53 UTC
I suggest to drop java support on ia64 as planned...if someone is interested in having java on ia64, once we find a working jvm we can rekeyword some packages...
Comment 5 Ralph Sennhauser (RETIRED) gentoo-dev 2011-12-31 15:29:44 UTC
Added to profiles/arch/ia64/package.use.mask:

# Ralph Sennhauser <sera@gentoo.org> (31 Dec 2011)
# Needs dev-java/fop which is not available for ia64 due to missing JVM #345433
net-analyzer/wireshark doc-pdf
Comment 6 Ralph Sennhauser (RETIRED) gentoo-dev 2012-01-04 09:07:35 UTC
Added to profiles/arch/ia64/package.use.mask:

# Ralph Sennhauser <sera@gentoo.org> (4 Jan 2012)
# ruby_targets_jruby triggers direct dependency on missing JVM #345433
dev-ruby/hpricot ruby_targets_jruby


All other packages with optional java support are covered by the current profiles/arch/ia64/use.mask
Comment 7 Ralph Sennhauser (RETIRED) gentoo-dev 2012-02-11 13:37:00 UTC
As announced ia64 support suspended.

The currently most promising alternative for ia64 users is icedtea.